package dev.lions.unionflow.server.api.enums.organisation;

/**
 * Énumération des statuts d'organisations dans UnionFlow
 *
 * @author UnionFlow Team
 * @version 1.0
 * @since 2025-01-10
 */
public enum StatutOrganisation {
  ACTIVE("Active"),
  INACTIVE("Inactive"),
  SUSPENDUE("Suspendue"),
  EN_CREATION("En Création"),
  DISSOUTE("Dissoute");

  private final String libelle;

  StatutOrganisation(String libelle) {
    this.libelle = libelle;
  }

  public String getLibelle() {
    return libelle;
  }
}
